Test::Int::Channel Namespace Reference

Tests for channel constraints More...

## Classes

class | ChannelFull
| Simple test for channel (testing all variables). More...
class | ChannelHalf
| Simple test for channel (testing single set of variables). More...
class | ChannelShared
| Test channel with shared variables More...
class | ChannelLinkSingle
| Test channel between integer and Boolean variable More...
class | ChannelLinkMulti
| Test channel between integer variable and array of Boolean variables More...

## Variables

ChannelFull | cfd (0, 0, Gecode::IPL_DOM)
ChannelFull | cfv (0, 0, Gecode::IPL_VAL)
ChannelFull | cfd11 (1, 1, Gecode::IPL_DOM)
ChannelFull | cfv11 (1, 1, Gecode::IPL_VAL)
ChannelFull | cfd35 (3, 5, Gecode::IPL_DOM)
ChannelFull | cfv35 (3, 5, Gecode::IPL_VAL)
ChannelHalf | chd (Gecode::IPL_DOM)
ChannelHalf | chv (Gecode::IPL_VAL)
ChannelShared | csd (Gecode::IPL_DOM)
ChannelShared | csv (Gecode::IPL_VAL)
ChannelLinkSingle | cls
ChannelLinkMulti | clma ("A", 0, 5, 0)
ChannelLinkMulti | clmb ("B", 1, 6, 1)
ChannelLinkMulti | clmc ("C",-1, 4,-1)

## Detailed Description

Tests for channel constraints

## Variable Documentation

## cfd

ChannelFull Test::Int::Channel::cfd(0, 0, Gecode::IPL_DOM) | ( | 0 | ,
|  | 0 | ,
|  | Gecode::IPL_DOM | )

## cfv

ChannelFull Test::Int::Channel::cfv(0, 0, Gecode::IPL_VAL) | ( | 0 | ,
|  | 0 | ,
|  | Gecode::IPL_VAL | )

## cfd11

ChannelFull Test::Int::Channel::cfd11(1, 1, Gecode::IPL_DOM) | ( | 1 | ,
|  | 1 | ,
|  | Gecode::IPL_DOM | )

## cfv11

ChannelFull Test::Int::Channel::cfv11(1, 1, Gecode::IPL_VAL) | ( | 1 | ,
|  | 1 | ,
|  | Gecode::IPL_VAL | )

## cfd35

ChannelFull Test::Int::Channel::cfd35(3, 5, Gecode::IPL_DOM) | ( | 3 | ,
|  | 5 | ,
|  | Gecode::IPL_DOM | )

## cfv35

ChannelFull Test::Int::Channel::cfv35(3, 5, Gecode::IPL_VAL) | ( | 3 | ,
|  | 5 | ,
|  | Gecode::IPL_VAL | )

## chd

ChannelHalf Test::Int::Channel::chd(Gecode::IPL_DOM) | ( | Gecode::IPL_DOM |  | ) |

## chv

ChannelHalf Test::Int::Channel::chv(Gecode::IPL_VAL) | ( | Gecode::IPL_VAL |  | ) |

## csd

ChannelShared Test::Int::Channel::csd(Gecode::IPL_DOM) | ( | Gecode::IPL_DOM |  | ) |

## csv

ChannelShared Test::Int::Channel::csv(Gecode::IPL_VAL) | ( | Gecode::IPL_VAL |  | ) |

## cls

ChannelLinkSingle Test::Int::Channel::cls

Definition at line 219 of file channel.cpp.

## clma

ChannelLinkMulti Test::Int::Channel::clma("A", 0, 5, 0) | ( | "A" | ,
|  | 0 | ,
|  | 5 | ,
|  | 0 | )

## clmb

ChannelLinkMulti Test::Int::Channel::clmb("B", 1, 6, 1) | ( | "B" | ,
|  | 1 | ,
|  | 6 | ,
|  | 1 | )

## clmc

ChannelLinkMulti Test::Int::Channel::clmc("C",-1, 4,-1) | ( | "C" | ,
|  | - | 1,
|  | 4 | ,
|  | - | 1 )